Package org.codehaus.groovy.runtime.metaclass

# Class MethodMetaProperty

java.lang.Object
groovy.lang.MetaProperty
org.codehaus.groovy.runtime.metaclass.MethodMetaProperty

All Implemented Interfaces:
  `MetaMember`

Direct Known Subclasses:
  `MethodMetaProperty.GetBeanMethodMetaProperty`, `MethodMetaProperty.GetMethodMetaProperty`

public class MethodMetaProperty extends MetaProperty
Wrapper for a method for a property get or set. WARNING: This class is for internal use only, don't use it for your APIs

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `MethodMetaProperty.GetBeanMethodMetaProperty`
  Wrapper for a method realizing the property getter.
  `static class`
  `MethodMetaProperty.GetMethodMetaProperty`
  Wrapper for a method realizing the property get.

- ## Field Summary

  ### Fields inherited from class groovy.lang.MetaProperty

  `name, PROPERTY_SET_PREFIX, type`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MethodMetaProperty(String name, MetaMethod method)`
  Constructs a new MethodMetaProperty.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MetaMethod`
  `getMetaMethod()`
  Gets the underlying metamethod.
  `Object`
  `getProperty(Object object)`
  Gets the property value by invoking the metamethod.
  `void`
  `setProperty(Object object, Object newValue)`
  Sets the property value by invoking the metamethod.

  ### Methods inherited from class groovy.lang.MetaProperty

  `getGetterName, getModifiers, getName, getSetterName, getType`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface groovy.lang.MetaMember

  `isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, isSynthetic`

- ## Constructor Details

  - ### MethodMetaProperty

    public MethodMetaProperty(String name, MetaMethod method)
    Constructs a new MethodMetaProperty.
    Parameters:
      `name` - the property name
      `method` - the metamethod to wrap

- ## Method Details

  - ### getProperty

    public Object getProperty(Object object)
    Gets the property value by invoking the metamethod. This method always throws UnsupportedOperationException as this is just a wrapper.
    Specified by:
      `getProperty` in class `MetaProperty`
    Parameters:
      `object` - the object (not used)
    Returns:
      never returns
    Throws:
      `UnsupportedOperationException` - always

  - ### setProperty

    public void setProperty(Object object, Object newValue)
    Sets the property value by invoking the metamethod. This method always throws UnsupportedOperationException as this is just a wrapper.
    Specified by:
      `setProperty` in class `MetaProperty`
    Parameters:
      `object` - the object (not used)
      `newValue` - the new value (not used)
    Throws:
      `UnsupportedOperationException` - always

  - ### getMetaMethod

    public MetaMethod getMetaMethod()
    Gets the underlying metamethod.
    Returns:
      the metamethod